Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class DatagramMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.socket.messaging.SocketMessage
              rice.pastry.socket.messaging.DatagramMessage

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IPAddressRequestMessage, IPAddressResponseMessage, PingMessage, PingResponseMessage, WrongEpochMessage

public abstract class DatagramMessage
extends SocketMessage

Class which represents a "ping" message sent through the socket pastry system.

Version:
  $Id: DatagramMessage.java,v 1.2 2005/03/11 00:57:59 jeffh Exp $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected SourceRoute` | `inbound` DESCRIBE THE FIELD
`protected SourceRoute` | `outbound` DESCRIBE THE FIELD
`protected long` | `start` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`DatagramMessage(SourceRoute outbound, SourceRoute inbound)` Constructor

Method Summary
`SourceRoute` | `getInboundPath()` Gets the InboundPath attribute of the DatagramMessage object
`SourceRoute` | `getOutboundPath()` Gets the OutboundPath attribute of the DatagramMessage object
`long` | `getStartTime()` Gets the StartTime attribute of the DatagramMessage object

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, getStream, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### start

    protected long start

  DESCRIBE THE FIELD

### outbound

    protected SourceRoute outbound

  DESCRIBE THE FIELD

### inbound

    protected SourceRoute inbound

  DESCRIBE THE FIELD

Constructor Detail

### DatagramMessage

    public DatagramMessage(SourceRoute outbound,
                           SourceRoute inbound)

  Constructor

Parameters:
  `outbound` - DESCRIBE THE PARAMETER
  `inbound` - DESCRIBE THE PARAMETER

Method Detail

### getStartTime

    public long getStartTime()

  Gets the StartTime attribute of the DatagramMessage object

  Returns:
    The StartTime value

### getOutboundPath

    public SourceRoute getOutboundPath()

  Gets the OutboundPath attribute of the DatagramMessage object

  Returns:
    The OutboundPath value

### getInboundPath

    public SourceRoute getInboundPath()

  Gets the InboundPath attribute of the DatagramMessage object

  Returns:
    The InboundPath value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.